### Function

# GdkPixbuf PixbufModuleIncrementLoadFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleIncrementLoadFunc) (
      gpointer context,
      const guchar* buf,
      guint size,
      GError** error
    )

#### Description [src]

Incrementally loads a buffer into the image data.

#### Parameters

`context` | `gpointer`
| The state object created by `GdkPixbufModuleBeginLoadFunc`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`buf` | An array of `guint8`
| The data to load.
| The length of the array is specified in the `size` argument.
| The data is owned by the caller of the function.
`size` | `guint`
| The length of the data to load.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the incremental load was successful.